import { request } from "../../../utils";

/**
 * @title: 下单前置校验接口
 * @param {any} data
 */
export var checkBeforeBookingApi = function checkBeforeBookingApi(data) {
  return request.getRequest().post('/h5/eventbookingv2/order/check-config', data);
};

/**
 * @title: 创建订单
 * @param {any} data
 */
export var createBookingApi = function createBookingApi(data) {
  return request.getRequest().post('/h5/eventbookingv2/order', data);
};

/**
 * @title: 免费支付
 * @param {string} orderId
 */
export var freePayApi = function freePayApi(orderId) {
  return request.getRequest().post("/h5/pay/order/free-pay/".concat(orderId), {});
};